/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2003 Sun
 * Microsystems, Inc. All Rights Reserved.
 */

package org.netbeans.mdrant;

/** Simply prints all extents in the repository into the System.out. 
 *
 * @author  Petr Hrebejk
 */
public class PrintExtentNames extends MdrTask.Sub {
    
    /** Creates a new instance of PrintExtentsNames */
    public PrintExtentNames() {
    }
    
    public void execute() throws Exception {
        
        String[] extentNames = getRepository().getExtentNames();
        for( int i = 0; i < extentNames.length; i++ ) {
            System.out.println( extentNames[i] );
        }
        
    }
    
}
