/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2001 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.lib.jmi.mapping;

import org.netbeans.api.mdr.*;
import javax.jmi.reflect.RefBaseObject;
import java.io.*;

/**
 *
 * @author  Dusan Balek
 */
public class JMIMapperCFImpl extends JMIMapper implements Serializable {
    
    public JMIMapperCFImpl() {
    }

    // methods ...................................................................
    
    public void generate(JMIStreamFactory sf, RefBaseObject object) throws IOException {
        new ClassFileMapper(sf).visitRefBaseObject(object);
    }
}
