/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2001 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.lib.jmi.util;

import java.util.*;
import javax.jmi.model.GeneralizableElement;
import javax.jmi.model.ModelElement;

/**
 *
 * @author  mmatula
 * @version 
 */
public class ContainsIterator extends java.lang.Object implements java.util.Iterator {

    protected Iterator iterator;
    
    /** Creates new ContainsIterator */
    public ContainsIterator(GeneralizableElement element) {
        super();
        ArrayList elements = new ArrayList();
        Collection supers = new ArrayList( element.allSupertypes() );
//        HashSet names = new HashSet();
        ModelElement temp;
        supers.add(element);
        for (Iterator it = supers.iterator(); it.hasNext();) {
            for (Iterator it2 = ((GeneralizableElement) it.next()).getContents().iterator(); it2.hasNext();) {
                temp = (ModelElement) it2.next();
                if (!elements.contains(temp)) {
                    elements.add(temp);
                }
            }
        }
        iterator = elements.iterator();
    }

    public boolean hasNext() {
        return iterator.hasNext();
    }

    public java.lang.Object next() throws NoSuchElementException {
        return iterator.next();
    }

    public void remove() throws UnsupportedOperationException, IllegalStateException {
        throw new UnsupportedOperationException();
    }
}
