/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2002 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.lib.jmi.xmi;

import org.netbeans.api.xmi.*;

public class WriterFactory extends XMIWriterFactory {

    public WriterFactory () {
    }
    
    public XMIWriter createXMIWriter() {
        return new DelegatingWriter ();
    }

    public XMIWriter createXMIWriter(XMIOutputConfig configuration) {
        return new DelegatingWriter (configuration);
    }
    
}
