/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2001 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.mdr.persistence;

/**
* This is thrown when an error caused by an invalid request from another layer
* occurs in the storage layer.
*/

public class StorageBadRequestException extends StorageException {

    /** consructs a StorageBadRequestException with a null 
    * detailed error message
    */
    public StorageBadRequestException() {
	super();
    }

    /** consructs a StorageBadRequestException with the specified detailed 
    * error message
    * @param msg the detailed message
    */
    public StorageBadRequestException(String msg) {
	super(msg);
    }

}
