/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2001 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.mdr.persistence;

/**
* This exception is the ancestor of the exceptions thrown 
* from the storage layer.
*/

public abstract class StorageException extends Exception {

    /** consructs a StorageException with a null detailed 
    * error message 
    */
    public StorageException() {
	super();
    }

    /** consructs a StorageException with the specified detailed 
    * error message
    * @param msg the detailed message
    */
    public StorageException(String msg) {
	super(msg);
    }
}
