/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2004 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.mdr.util;

import org.openide.ErrorManager;

/** Logger utility using org.openide.ErrorManager to log messages.
 *
 * @author Martin Matula
 */
public abstract class Logger extends ErrorManager {
    private static final String PROP_MIN_SEVERITY = "org.netbeans.mdr.Logger"; //NOI18N
    private static final ErrorManager defaultManager = ErrorManager.getDefault().getInstance(PROP_MIN_SEVERITY);
    
    public static ErrorManager getDefault() {
        return defaultManager;
    }
}
