/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2002 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.lib.jmi.xmi;

import org.netbeans.api.xmi.XMIOutputConfig;
import org.netbeans.api.xmi.XMIReferenceProvider;

public class OutputConfig extends XMIOutputConfig {

    private XMIReferenceProvider provider = null;
    private XMIHeaderProvider headerProvider = null;
    private String encoding = null;

    public void setReferenceProvider(XMIReferenceProvider provider) {
        this.provider = provider;
    }

    public XMIReferenceProvider getReferenceProvider() {
        return provider;
    }

    // XMIHeaderProvider ........................................................
    
    public void setHeaderProvider(XMIHeaderProvider headerProvider) {
        this.headerProvider = headerProvider;
    }
        
    public XMIHeaderProvider getHeaderProvider() {
        return headerProvider;
    }
    
    // encoding parameter .......................................................
    
    public void setEncoding(String encoding) {
        this.encoding = encoding;
    }
    
    public String getEncoding() {
        return encoding;
    }
    
}
