/*
 *                 Sun Public License Notice
 *
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 *
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2001 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.lib.jmi.xmi;

import java.io.IOException;
import java.io.OutputStream;
import java.util.Collection;
import javax.jmi.reflect.RefPackage;
import javax.jmi.xmi.XmiWriter;

public class XMIWriterImpl implements XmiWriter {

    private DelegatingWriter writer = new DelegatingWriter ();
    
    public void write(OutputStream stream, RefPackage extent, String xmiVersion) throws IOException {
        writer.write (stream, extent, xmiVersion);
    }             
    
    public void write(OutputStream stream, Collection objects, String xmiVersion) throws IOException {
        writer.write (stream, objects, xmiVersion);
    }
}
