/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2001 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.mdrshell;

import java.lang.reflect.Method;
import java.util.*;

import org.netbeans.api.mdr.*;

import javax.jmi.reflect.*;

/**
 *
 * @author  Petr Hrebejk        
 * @version 
 */
class Interpreter extends Object {

    /** Interpreter is a singleton. 
    */
    Interpreter() {
    }
    
    /** Performs the interpretation of a line.
    */
    static Object processLine( String line ) throws Exception {
        
        return DJava.eval( line );        
    }

}
