// Sun Public License Notice
//
// The contents of this file are subject to the Sun Public License
// Version 1.0 (the "License"). You may not use this file except in
// compliance with the License. A copy of the License is available at
// http://www.sun.com/
// The Original Code is NetBeans. The Initial Developer of the Original
// Code is Sun Microsystems, Inc. Portions Copyright 1997-2001 Sun
// Microsystems, Inc. All Rights Reserved. 


// DEFINE COMMANDS ------------------------------------------------------------


// Exits the repository
#define _quit SHELL.exit()


// Defines default prompt
// @param $1 prompt
#define _prompt[$] SHELL.setPrompt("$1".equals("null")?null:"$1")


// Connect to the specified repository package
// @param $1 package name
#define _open[$] CurrentObject = SHELL.setActive(SHELL.getRepository().getExtent("$1".equals("null")?null:"$1"))


// Navigates to the specified object
// @param $1 object
#define _navigate[$] CurrentObject = SHELL.setActive($1)
#define _nav _navigate


// Prints object
// @param $1 object
#define _printObj[$] System.out.println($1)
#define _pr _printObj


// Instantiates current package
// @param $1 name of the new instance
#define _instantiate[$] CurrentObject = SHELL.setActive(SHELL.getRepository().createExtent("$1".equals("null")?null:"$1", C$))
#define _new _instantiate

// Loads an XMI file to the current extent
// @param $1 Name of xml file
#define _load[$] ((javax.jmi.xmi.XmiReader) org.openide.util.Lookup.getDefault().lookup(javax.jmi.xmi.XmiReader.class)).read($1, C$.refOutermostPackage())

// 

// PREPARE THE ENVIRONMENT ----------------------------------------------------
	
// import the MOF reflection package
import javax.jmi.reflect.*

// import the MOF model package
import javax.jmi.model.*

// Set default prompt
_prompt ?> 

