/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2001 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.mdr.persistence;

/**
* This is thrown when an error caused by invalid in-memory
* data occurs in the storage layer.
*/

public class StorageTransientDataException extends StorageException {

    /** consructs a StorageTransientDataException with a null 
    * detailed error message
    */
    public StorageTransientDataException() {
	super();
    }

    /** consructs a StorageTransientDataException with the specified detailed 
    * error message
    * @param msg the detailed message
    */
    public StorageTransientDataException(String msg) {
	super(msg);
    }

}
