/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2001 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.mdr.persistence.btreeimpl.btreestorage;

/** this class allows a parameter to return an integer value */
public class IntHolder {

    /* the value of the IntHolder */
    private int value;

    /** Create an IntHolder */
    IntHolder() {
        this(0);
    }

    /** Create an IntHolder intiialized to a specific value 
    * @param val the value of the IntHolder
    */
    IntHolder(int val) {
        value = val;
    }

    /** Get the value of the IntHolder 
    * @return the value
    */
    int getValue() {
        return value;
    }

    /** Set the value of the IntHolder 
    * @param val the new value of the IntHolder
    */
    void setValue(int val) {
        value = val;
    }
}

