/*
 *                 Sun Public License Notice
 * 
 * The contents of this file are subject to the Sun Public License
 * Version 1.0 (the "License"). You may not use this file except in
 * compliance with the License. A copy of the License is available at
 * http://www.sun.com/
 * 
 * The Original Code is NetBeans. The Initial Developer of the Original
 * Code is Sun Microsystems, Inc. Portions Copyright 1997-2001 Sun
 * Microsystems, Inc. All Rights Reserved.
 */
package org.netbeans.mdr.util;

/**
 *
 * @author  Pavel Buzek
 * @version 
 */
public class DebugException extends RuntimeException {

    /**
     * Creates new <code>DebugException</code> without detail message.
     */
    public DebugException() {
    }


    /**
     * Constructs an <code>DebugException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public DebugException(String msg) {
        super(msg);
    }
}

